# AbstractBuildCache

API Documentation: | `AbstractBuildCache`

Known Subtypes: |
`DirectoryBuildCache`
`HttpBuildCache`

Base implementation for build cache service configuration.

### Properties

Property | Description
`enabled` | Whether the build cache is enabled.
`push` | Whether a given build can store outputs in the build cache.

### Methods

No methods

### Script blocks

No script blocks

### Property details

#### `boolean` `enabled`

Whether the build cache is enabled.

#### `boolean` `push`

Whether a given build can store outputs in the build cache.